({
	loadData : function(cmp) {
		this.runAction(
            cmp,
            "c.getBankAccount",
            {"recordId" : cmp.get('v.recordId')},
            this.onLoadSuccess,
            this.onError
        );
	},
    
    onLoadSuccess : function(cmp, h, result) {
        cmp.set('v.data', result);
    },
    
    onSyncSuccess : function(cmp, h, result) {
        cmp.set('v.data', result);
    },
    
    onError : function(cmp, h, response) {
        let errors = response.getError();
        let message = 'Unknown error'; 
        
        if (errors && Array.isArray(errors) && errors.length > 0) {
            message = errors[0].message;
        }
        
        console.error(message);
    }
})