({
    runAction: function(cmp, action, parameters, successMethod, errorMethod) {
        var a = cmp.get(action);
        
        console.log('Running action', action, parameters);
        
        if (!$A.util.isEmpty(parameters)) {
            a.setParams(parameters);
        }
        
        a.setCallback(this, $A.getCallback(function (response) {
            var state = response.getState();
            
            if (state === "SUCCESS") {
                console.log('Action success ', action, response.getReturnValue());
                
                successMethod(cmp, this, response.getReturnValue());
            } else if (state === "ERROR") {
                console.log('Action error ', action, response.getError());
                
                errorMethod(cmp, this, response);
            }
        }));
        
        $A.enqueueAction(a);
    },
    
    showToast : function (title, message, type) {
        var toastEvent = $A.get("e.force:showToast");
        toastEvent.setParams({
            "title": title,
            "message": message,
            "type": type
        });
        toastEvent.fire();
    }
})